package com.baidu.push.qa;

import android.content.Context;
import android.content.Intent;
import android.util.Log;

import com.baidu.android.pushservice.PushManager;

import java.util.List;

public class DemoPushMessageReceiver extends com.baidu.android.pushservice.PushMessageReceiver {

    private static final String TAG = "DemoPushMessageReceiver";

    @Override
    public void onBind(Context context, int errorCode, String appid,
                       String userId, String channelId, String requestId) {
        // 绑定成功的回调, 先绑定成功是接收push的前提
        String log = "onBind: errorCode=" + errorCode + ", appid=" + appid
                + ", userId=" + userId + ", channelId=" + channelId + ", requestId=" + requestId;
        Log.d(TAG, log);
        PushManager.requestOppoNotification(context);
    }

    @Override
    public void onUnbind(Context context, int errorCode, String requestId) {
        // 解除绑定成功的回调, 先绑定成功是接收push的前提
        String log = "Unbind: errorCode=" + errorCode + ", requestId=" + requestId;
        Log.d(TAG, log);
        // 用户关闭push(即解绑)的回调
    }
    // onMessage 方法从v7.2.1版本开始新增notifyId参数
    // 若使用透传消息上通知栏，为了支持透传通知栏消息覆盖
    // ，接入方请使用 notifyId 作为 NotificationManager的notify方法中的 id 参数。
    @Override
    public void onMessage(Context context, String message, String customContent,int notifyId) {
        String responseString = "onMessage message=\"" + message
                + "\" customContentString=" + customContent+ "  notifyId="+ notifyId;
        Log.d(TAG, "透传消息到达");
        Log.d(TAG, responseString);
    }

    @Override
    public void onNotificationClicked(Context context, String title, String description,
                                      String customContentString) {
        Log.d(TAG, "onNotificationClicked customContentString = " + customContentString);
        // 在这里处理通知类型消息(含厂商代理)的落地页跳转
        Intent intent = new Intent(context, MainActivity.class);
        intent.setPackage(context.getPackageName());
        intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        context.startActivity(intent);
    }

    @Override
    public void onNotificationArrived(Context context, String title, String description,
                                      String customContentString) {
        Log.d(TAG, "onNotificationArrived customContentString = " + customContentString);
        // 仅长连接模式下的通知类型消息会回调。若接入代理推送，不回调。
    }

    @Override
    public void onSetTags(Context context, int errorCode,
                          List<String> successTags, List<String> failTags,
                          String requestId) {
        String log = "onSetTags: errorCode=" + errorCode +
                "  successTags = " + successTags + "  failTags= "
                + failTags + ", requestId=" + requestId;
        Log.d(TAG, log);
    }

    @Override
    public void onDelTags(Context context, int errorCode,
                          List<String> successTags, List<String> failTags,
                          String requestId) {
        String log = "onSetTags: errorCode=" + errorCode +
                ", successTags = " + successTags + ", failTags= "
                + failTags + ", requestId=" + requestId;
        Log.d(TAG, log);
    }

    @Override
    public void onListTags(Context context, int errorCode,
                           List<String> tags, String requestId) {
        String log = "onSetTags: errorCode=" + errorCode +
                ",tags = " + tags + ",requestId=" + requestId;
        Log.d(TAG, log);
    }
}
