package com.baidu.push.qa;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import androidx.appcompat.app.AppCompatActivity;

import com.baidu.android.pushservice.PushConstants;
import com.baidu.android.pushservice.PushManager;


public class MainActivity extends AppCompatActivity {

    private static final String apiKey = "";
    private static final String mzAppId = "";
    private static final String mzAppKey = "";

    private static final String xmAppId = "";
    private static final String xmAppKey = "";

    private static final String opAppKey = "";
    private static final String opAppSecret = "";

    private Button button = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        button = findViewById(R.id.btnStartPush);
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                startPush();
            }
        });

        // 当用户同意隐私协议后再setAuthorizedState为true
        // 未取得用户隐私协议授权setAuthorizedState为false，此时SDK会出现初始化失败情况
        PushManager.setAuthorizedState(true);
    }

    /**
     * 初始化push SDK
     */
    private void startPush() {
//      ！！需要在华为推送官网注册
        // 开启华为代理
        PushManager.enableHuaweiProxy(getApplicationContext(), true);
//            ！！需要在小米推送官网注册，替换xmAppId和xmAppKey
        // 开启小米代理
        PushManager.enableXiaomiProxy(getApplicationContext(), true, xmAppId, xmAppKey);
//            ！！需要在魅族推送官网注册，替换mzAppId和mzAppKey
        // 开启魅族代理
        PushManager.enableMeizuProxy(getApplicationContext(), true, mzAppId, mzAppKey);
//            ！！需要在OPPO推送官网注册，替换opAppKey和opAppSecret
        // 开启oppo代理
        PushManager.enableOppoProxy(getApplicationContext(), true, opAppKey, opAppSecret);
//            ！！需要在VIVO推送官网注册，替换manifest中vivo apikey和appid
        // 开启vivo代理
        PushManager.enableVivoProxy(getApplicationContext(), true);
        // 开启荣耀代理
        PushManager.enableHonorProxy(getApplicationContext(), true);
        PushManager.startWork(getApplicationContext(),
                PushConstants.LOGIN_TYPE_API_KEY, apiKey);
    }

}